Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigCompileInfo Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | num_of_elements
OnigEncoding | pattern_enc
OnigEncoding | target_enc
OnigSyntaxType * | syntax
OnigOptionType | option
OnigCaseFoldType | case_fold_flag

## Detailed Description

Definition at line 710 of file ripper.y.

## Field Documentation

OnigCaseFoldType OnigCompileInfo::case_fold_flag

Definition at line 716 of file ripper.y.

int OnigCompileInfo::num_of_elements

Definition at line 711 of file ripper.y.

OnigOptionType OnigCompileInfo::option

Definition at line 715 of file ripper.y.

OnigEncoding OnigCompileInfo::pattern_enc

Definition at line 712 of file ripper.y.

OnigSyntaxType * OnigCompileInfo::syntax

Definition at line 714 of file ripper.y.

OnigEncoding OnigCompileInfo::target_enc

Definition at line 713 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h